Package io.vertx.reactivex.ext.auth.oauth2.authorization

## Class KeycloakAuthorization

- java.lang.Object
- - io.vertx.reactivex.ext.auth.oauth2.authorization.KeycloakAuthorization

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`, `AuthorizationProvider`

      public class KeycloakAuthorization
      extends Object
      implements io.vertx.lang.rx.RxDelegate, AuthorizationProvider

  Implementation of the Keycloak Authorization Provider.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<KeycloakAuthorization>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KeycloakAuthorization​(KeycloakAuthorization delegate)` |
    `KeycloakAuthorization​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static KeycloakAuthorization` | `create()` | Factory method to create an Authorization Provider for tokens adhering to the Keycloak token format.
    `boolean` | `equals​(Object o)` |
    `Future<Void>` | `getAuthorizations​(User user)` | Updates the user with the set of authorizations.
    `KeycloakAuthorization` | `getDelegate()` |
    `String` | `getId()` | returns the id of the authorization provider
    `int` | `hashCode()` |
    `static KeycloakAuthorization` | `newInstance​(KeycloakAuthorization arg)` |
    `Completable` | `rxGetAuthorizations​(User user)` | Updates the user with the set of authorizations.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<KeycloakAuthorization> __TYPE_ARG

  - ### Constructor Detail

    - #### KeycloakAuthorization

          public KeycloakAuthorization​(KeycloakAuthorization delegate)

    - #### KeycloakAuthorization

          public KeycloakAuthorization​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public KeycloakAuthorization getDelegate()

      Specified by:
        `getDelegate` in interface `AuthorizationProvider`
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### getId

          public String getId()

      returns the id of the authorization provider
      Specified by:
        `getId` in interface `AuthorizationProvider`
      Returns:

    - #### getAuthorizations

          public Future<Void> getAuthorizations​(User user)

      Updates the user with the set of authorizations.
      Specified by:
        `getAuthorizations` in interface `AuthorizationProvider`
      Parameters:
        `user` - user to lookup and update.
      Returns:
        Future void to signal end of asynchronous call.

    - #### rxGetAuthorizations

          public Completable rxGetAuthorizations​(User user)

      Updates the user with the set of authorizations.
      Specified by:
        `rxGetAuthorizations` in interface `AuthorizationProvider`
      Parameters:
        `user` - user to lookup and update.
      Returns:
        Future void to signal end of asynchronous call.

    - #### create

          public static KeycloakAuthorization create()

      Factory method to create an Authorization Provider for tokens adhering to the Keycloak token format. When the user is known to not be a JWT, (e.g.: a OAuth2 response token) then the root claim is expected to be the extracted from the user under the key: `accessToken`.
      Returns:
        a AuthorizationProvider

    - #### newInstance

          public static KeycloakAuthorization newInstance​(KeycloakAuthorization arg)